function cargarPestania(pestania){
	$("#bloques_feedback").hide();
	$("#tabEncuesta").rup_tabs("selectTab",{
		idTab: "tabEncuesta",
		position: pestania,
	});
}

function deshabilitarPestania(pestania){
	$("#tabEncuesta").rup_tabs("disableTabs",{
		idTab: "tabEncuesta",
		position: pestania,
	});
}

function mostrarBloquesPreguntas(){
	habilitarPestania(1)
	cargarPestania(1);
}
function habilitarPestania(pestania){
	$("#tabEncuesta").rup_tabs("enableTabs",{
		idTab: "tabEncuesta",
		position: pestania,
	});
}

$(function() {
	
	jQuery("#tabEncuesta").rup_tabs({
		tabs : [
			 {i18nCaption:"datosGenerales", layer:"#divDatosGenerales"},
			 {i18nCaption:"bloquesPreguntas", layer:"#divBLoquesPreguntas"}
		 ],
		 select : function(event, pestania){
			 if(pestania.newTab.index()===1){
				if(jQuery("#datosGenerales_form").valid()){
					if(modificado){
						event.preventDefault();
						event.stopImmediatePropagation();
						$("#dialogoConfirm").rup_dialog('open');
					}else{
						$("#titEncuesta").text($("#descPubl" + $.rup.lang.capitalize() +"DG").val());
						fncCreateBloquesSortable();
					}
				}
			 }
		 }
	});

	$('body').addClass('in');
	$('#divDetalleEncuestas').removeClass('d-none');
	
});